Create or reuse a shareable artifact
curl --request POST \
--url https://api.itoflow.ai/artifacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"task_id": "1939d8d3dc31b215"
}
'import requests
url = "https://api.itoflow.ai/artifacts"
payload = {
"chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"task_id": "1939d8d3dc31b215"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chat_id: '0b6342a4-ab5f-41b1-9772-60791177acf3', task_id: '1939d8d3dc31b215'})
};
fetch('https://api.itoflow.ai/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"artifact": {
"artifact_type": "report",
"content": {
"components": [
{}
],
"type": "dashboard",
"follow_up_suggestions": [
"<string>"
],
"metadata": {
"analysis_type": "<string>",
"query": "<string>",
"symbols": [
"<string>"
]
},
"timestamp": "2026-04-03T15:00:00.000Z",
"title": "BTC vs ETH: 1-Year Comparison"
},
"created_at": "2026-04-03T23:29:40.548Z",
"expires_at": null,
"metadata": {
"snapshot_version": 1,
"analysis_type": "asset_comparison",
"dashboard_timestamp": "2026-04-03T15:00:00.000Z",
"source_chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"source_task_id": "1939d8d3dc31b215",
"symbols": [
"BTC-USD.CC",
"ETH-USD.CC"
]
},
"slug": "VufIWcgY0FlG",
"title": "BTC vs ETH: 1-Year Comparison"
},
"url": "https://app.itoflow.ai/a/VufIWcgY0FlG"
}{
"artifact": {
"artifact_type": "report",
"content": {
"components": [
{}
],
"type": "dashboard",
"follow_up_suggestions": [
"<string>"
],
"metadata": {
"analysis_type": "<string>",
"query": "<string>",
"symbols": [
"<string>"
]
},
"timestamp": "2026-04-03T15:00:00.000Z",
"title": "BTC vs ETH: 1-Year Comparison"
},
"created_at": "2026-04-03T23:29:40.548Z",
"expires_at": null,
"metadata": {
"snapshot_version": 1,
"analysis_type": "asset_comparison",
"dashboard_timestamp": "2026-04-03T15:00:00.000Z",
"source_chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"source_task_id": "1939d8d3dc31b215",
"symbols": [
"BTC-USD.CC",
"ETH-USD.CC"
]
},
"slug": "VufIWcgY0FlG",
"title": "BTC vs ETH: 1-Year Comparison"
},
"url": "https://app.itoflow.ai/a/VufIWcgY0FlG"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Sharing and data
Create or reuse a shareable artifact
Creates a public artifact snapshot from a retained dashboard in the authenticated user’s chat. A retained dashboard remains shareable if its run later fails. If the same private chat source was already shared, returns the existing published artifact instead.
Operation ID: post__artifacts.
POST
https://api.itoflow.ai
/
artifacts
Create or reuse a shareable artifact
curl --request POST \
--url https://api.itoflow.ai/artifacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"task_id": "1939d8d3dc31b215"
}
'import requests
url = "https://api.itoflow.ai/artifacts"
payload = {
"chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"task_id": "1939d8d3dc31b215"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chat_id: '0b6342a4-ab5f-41b1-9772-60791177acf3', task_id: '1939d8d3dc31b215'})
};
fetch('https://api.itoflow.ai/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"artifact": {
"artifact_type": "report",
"content": {
"components": [
{}
],
"type": "dashboard",
"follow_up_suggestions": [
"<string>"
],
"metadata": {
"analysis_type": "<string>",
"query": "<string>",
"symbols": [
"<string>"
]
},
"timestamp": "2026-04-03T15:00:00.000Z",
"title": "BTC vs ETH: 1-Year Comparison"
},
"created_at": "2026-04-03T23:29:40.548Z",
"expires_at": null,
"metadata": {
"snapshot_version": 1,
"analysis_type": "asset_comparison",
"dashboard_timestamp": "2026-04-03T15:00:00.000Z",
"source_chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"source_task_id": "1939d8d3dc31b215",
"symbols": [
"BTC-USD.CC",
"ETH-USD.CC"
]
},
"slug": "VufIWcgY0FlG",
"title": "BTC vs ETH: 1-Year Comparison"
},
"url": "https://app.itoflow.ai/a/VufIWcgY0FlG"
}{
"artifact": {
"artifact_type": "report",
"content": {
"components": [
{}
],
"type": "dashboard",
"follow_up_suggestions": [
"<string>"
],
"metadata": {
"analysis_type": "<string>",
"query": "<string>",
"symbols": [
"<string>"
]
},
"timestamp": "2026-04-03T15:00:00.000Z",
"title": "BTC vs ETH: 1-Year Comparison"
},
"created_at": "2026-04-03T23:29:40.548Z",
"expires_at": null,
"metadata": {
"snapshot_version": 1,
"analysis_type": "asset_comparison",
"dashboard_timestamp": "2026-04-03T15:00:00.000Z",
"source_chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"source_task_id": "1939d8d3dc31b215",
"symbols": [
"BTC-USD.CC",
"ETH-USD.CC"
]
},
"slug": "VufIWcgY0FlG",
"title": "BTC vs ETH: 1-Year Comparison"
},
"url": "https://app.itoflow.ai/a/VufIWcgY0FlG"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Body
application/json